// Example of iterartive solution for the factorial test


public class FactorialDriver
{
	public static void main(String args[] )
	{
		FactorialCalculator fc = new FactorialCalculator();
		fc.displayFactorials();
	}
}

class FactorialCalculator
{
	//recursive declaration
	public long factorial( long n )
	{
		if( n <= 1) //test for base case
			return 1;
		else //recursion
			return n * factorial(n-1);
	}
	
	//output factorial values
	public void displayFactorials()
	{
		//calc factorial 0 - 10
		for(int c=0; c <= 10; c++)
			System.out.printf("%d! = %d\n",c, factorial(c) );
		
	}
}
